package sh.grimmer.bettershulkers.config;

import com.google.gson.annotations.SerializedName;
import net.minecraft.network.chat.Component;

public enum TooltipPreviewMode {
    @SerializedName("always")
    ALWAYS("always"),
    @SerializedName("when_filled")
    WHEN_FILLED("when_filled"),
    @SerializedName("never")
    NEVER("never");

    private final Component name;
    private final Component description;

    TooltipPreviewMode(String id) {
        String key = "cloth_config.better_shulkers.tooltip_preview.%s".formatted(id);
        this.name = Component.translatable(key);
        this.description = Component.translatable("%s.description".formatted(key));
    }

    public Component getDisplayName() {
        return name;
    }

    public Component getDescription() {
        return description;
    }
}
